Price Feed API Specs
ReaTrader Price Feed API (2.1.0)
Download OpenAPI specification:Download
Welcome to the ReaTrader Price feed api. This api helps our clients to access real time price data for all instruments available for trading.
Update instrument settlement settings
Authorizations:
Request Body schema: application/jsonrequired
| isin | string |
| tradeProvider | string Enum: "ICF" "AllFunds" |
| settlementDays | integer <int32> |
| settlementFor | string Enum: "OnValueDate" "BeforeValueDate" "AfterValueDate" |
| settlementDaysType | string Enum: "WorkingDays" "AllDays" |
Responses
Request samples
- Payload
{- "isin": "string",
- "tradeProvider": "ICF",
- "settlementDays": 0,
- "settlementFor": "OnValueDate",
- "settlementDaysType": "WorkingDays"
}List of instruments
Authorizations:
query Parameters
| securityType | string Enum: "Stocks" "Warrants" "Bonds" "Fonds" "EtfOrEtc" "Index" "Unknown" Example: securityType=Stocks Financial instrument type (Security type) |
| provider | string Enum: "ICF" "AllFunds" Example: provider=ICF Trade provider |
| page | integer <int32> Example: page=1 Page number |
| recordsPerPage | integer <int32> Example: recordsPerPage=100 Records per page |
Responses
Response samples
- 200
{- "pageNumber": 1,
- "recordsPerPage": 1,
- "totalRecordCount": 2147483647,
- "data": [
- {
- "id": "string",
- "isinCode": "AT0000609607",
- "provider": "ICF",
- "name": "Tesla Inc.",
- "homeMarket": "ICF",
- "type": "Stocks",
- "market": "ICF",
- "shortCode": "TSL",
- "currency": "EUR",
- "alpha3CountryCode": "DEU",
- "country": "Germany",
- "mic": "DUSC",
- "existsAtWMData": true,
- "settlementDays": 0,
- "settlementFor": "OnValueDate",
- "settlementDaysType": "WorkingDays",
- "key": "ICFAT0000609607"
}
], - "lastPage": true
}Get instrument definition specified by ISIN
Authorizations:
path Parameters
| isinCode required | string = 12 characters [A-Z]{2}[-]{0,1}[A-Z0-9]{9}[-]{0,1}[0-9]{1}$ Example: AT0000609607 ISIN of the financial instrument |
query Parameters
| provider | string Default: "ICF" Enum: "ICF" "AllFunds" Example: provider=ICF Trade provider. |
Responses
Response samples
- 200
{- "id": "string",
- "isinCode": "AT0000609607",
- "provider": "ICF",
- "name": "Tesla Inc.",
- "homeMarket": "ICF",
- "type": "Stocks",
- "market": "ICF",
- "shortCode": "TSL",
- "currency": "EUR",
- "alpha3CountryCode": "DEU",
- "country": "Germany",
- "mic": "DUSC",
- "existsAtWMData": true,
- "settlementDays": 0,
- "settlementFor": "OnValueDate",
- "settlementDaysType": "WorkingDays",
- "key": "ICFAT0000609607"
}List of tradeable instruments
Authorizations:
query Parameters
| securityType required | string Enum: "Stocks" "Warrants" "Bonds" "Fonds" "EtfOrEtc" "Index" "Unknown" Example: securityType=Stocks Financial instrument type (Security type) |
| provider | string Enum: "ICF" "AllFunds" Example: provider=ICF Trade provider |
| page required | integer <int32> [ 1 .. 2147483647 ] Example: page=1 Page number |
| recordsPerPage | integer <int32> [ 1 .. 2147483647 ] Example: recordsPerPage=100 Records per page |
Responses
Response samples
- 200
{- "pageNumber": 1,
- "recordsPerPage": 1,
- "totalRecordCount": 2147483647,
- "data": [
- {
- "id": "string",
- "isinCode": "AT0000609607",
- "provider": "ICF",
- "name": "Tesla Inc.",
- "homeMarket": "ICF",
- "type": "Stocks",
- "market": "ICF",
- "shortCode": "TSL",
- "currency": "EUR",
- "alpha3CountryCode": "DEU",
- "country": "Germany",
- "mic": "DUSC",
- "existsAtWMData": true,
- "settlementDays": 0,
- "settlementFor": "OnValueDate",
- "settlementDaysType": "WorkingDays",
- "key": "ICFAT0000609607"
}
], - "lastPage": true
}Get list of instruments with fractional/money/block order support info
Authorizations:
query Parameters
| provider | string Default: "ICF" Enum: "ICF" "AllFunds" Example: provider=ICF Trade provider. |
Responses
Response samples
- 200
[- {
- "tenantId": "ea883679-0764-42eb-b13d-d42144f85b0f",
- "provider": "string",
- "isinCode": "string",
- "shortCode": "string",
- "instrumentName": "string",
- "instrumentType": "string",
- "fractionalOrdersAllowed": true,
- "moneyOrdersAllowed": true,
- "blockOrdersAllowed": true,
- "fractionalOrderMinQuantity": 0,
- "fractionalOrderMinAmount": 0,
- "blockOrderMinQuantity": 0,
- "blockOrderMinAmount": 0,
- "maxQuantityPerOrderBlock": 0,
- "peaMaxQuantity": 0,
- "sellAllowedOnly": true,
- "tradeAllowed": true,
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "string",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "string"
}
]Get market working days for corresponding MIC code
Authorizations:
path Parameters
| mic required | string Example: XDUS Market identifier code |
Responses
Response samples
- 200
[- {
- "mic": "DUSC",
- "dayOfWeek": 1,
- "timeZone": "UTC",
- "startHour": 7,
- "startMinute": 30,
- "startSecond": 59,
- "endHour": 21,
- "endMinute": 59,
- "endSecond": 59
}
]Get market holidays for corresponding MIC code
Authorizations:
path Parameters
| mic required | string Example: XDUS Market identifier code |
Responses
Response samples
- 200
[- {
- "mic": "DUSC",
- "date": "2023-01-28",
- "holidayName": "Christmas",
- "timeZone": "UTC",
- "startHour": 7,
- "startMinute": 30,
- "startSecond": 59,
- "endHour": 21,
- "endMinute": 59,
- "endSecond": 59
}
]Get price quotes
REMARK: This service can be called at most 2 times every 30 seconds when in full snapshot mode that is when request is without 'lastTimeStamp' field.
Authorizations:
query Parameters
| provider | string Default: "ICF" Enum: "ICF" "AllFunds" Example: provider=ICF Trade provider. |
| securityType | string Enum: "Stocks" "Warrants" "Bonds" "Fonds" "EtfOrEtc" "Index" "Unknown" Example: securityType=Stocks Financial instrument type (security type). |
| lastTimeStamp | integer <int64> Example: lastTimeStamp=1674729928 Last date-time as epoch. |
Responses
Response samples
- 200
{- "timeStamp": 0,
- "quotes": [
- {
- "isinCode": "AT0000609607",
- "provider": "ICF",
- "dateTime": "2023-01-28T13:58:43.123Z",
- "status": "Trading",
- "bid": 12.75,
- "ask": 12.75,
- "bidVolume": 1250900,
- "askVolume": 1250900
}
]
}Get quote of the instrument specified by ISIN
Authorizations:
path Parameters
| isinCode required | string[A-Z]{2}[-]{0,1}[A-Z0-9]{9}[-]{0,1}[0-9]{1}$ Example: AT0000609607 ISIN of the financial instrument |
query Parameters
| provider | string Default: "ICF" Enum: "ICF" "AllFunds" Example: provider=ICF Trade provider. |
| checkDbWhenNeeded | boolean Whether check DB when needed. |
Responses
Response samples
- 200
{- "isinCode": "AT0000609607",
- "provider": "ICF",
- "dateTime": "2023-01-28T13:58:43.123Z",
- "status": "Trading",
- "bid": 12.75,
- "ask": 12.75,
- "bidVolume": 1250900,
- "askVolume": 1250900
}Get quote history of the instrument specified by ISIN
REMARK: This service can be called at most 15 times every 60 seconds.
Authorizations:
path Parameters
| isinCode required | string[A-Z]{2}[-]{0,1}[A-Z0-9]{9}[-]{0,1}[0-9]{1}$ Example: AT0000609607 ISIN of the financial instrument |
query Parameters
| provider | string Default: "ICF" Enum: "ICF" "AllFunds" Example: provider=ICF Trade provider. |
| dateBegin | string <yyyy-MM-dd HH:mm:ss> Example: dateBegin=2023-01-23 13:35:49 Begin date-time of queried range. |
| dateEnd | string <yyyy-MM-dd HH:mm:ss> Example: dateEnd=2023-01-23 14:15:42 End date-time of queried range. |
Responses
Response samples
- 200
[- {
- "isinCode": "AT0000609607",
- "provider": "ICF",
- "dateTime": "2023-01-28T13:58:43.123Z",
- "status": "Trading",
- "bid": 12.75,
- "ask": 12.75,
- "bidVolume": 1250900,
- "askVolume": 1250900
}
]Get paginated price quotes
Authorizations:
query Parameters
| provider | string Default: "ICF" Enum: "ICF" "AllFunds" Example: provider=ICF Trade provider. |
| securityType | string Enum: "Stocks" "Warrants" "Bonds" "Fonds" "EtfOrEtc" "Index" "Unknown" Example: securityType=Stocks Financial instrument type (security type). |
| page required | integer <int32> Example: page=1 Page number |
| recordsPerPage | integer <int32> Example: recordsPerPage=100 Records per page |
Responses
Response samples
- 200
{- "pageNumber": 1,
- "recordsPerPage": 1,
- "totalRecordCount": 2147483647,
- "data": [
- {
- "isinCode": "AT0000609607",
- "provider": "ICF",
- "dateTime": "2023-01-28T13:58:43.123Z",
- "status": "Trading",
- "bid": 12.75,
- "ask": 12.75,
- "bidVolume": 1250900,
- "askVolume": 1250900
}
], - "lastPage": true
}Get end of day price of isins
REMARK: This service can be called at most 30 times every 30 seconds.
Authorizations:
query Parameters
| tradeProvider | string Default: "ICF" |
| date required | string <date-time> = 10 characters ^\d{4}\-(0?[1-9]|1[012])\-(0?[1-9]|[12][0-9]|... Example: date=2023-10-10 |
| isins | Array of strings[[A-Z]{2}[-]{0,1}[A-Z0-9]{9}[-]{0,1}[0-9]{1}$] |
| pageNumber | string >= 1 Example: pageNumber=1 In paged result, what is the page number to request |
| recordsPerPage | string [ 100 .. 1000 ] Example: recordsPerPage=100 In paged result, how many items to be in the result at max. Maximum value is 1000. |
Responses
Response samples
- 200
{- "pageNumber": 1,
- "recordsPerPage": 1,
- "totalRecordCount": 2147483647,
- "data": [
- {
- "isinCode": "string",
- "price": 0
}
], - "lastPage": true
}List of candlestick price data of the ISIN
Authorizations:
path Parameters
| isinCode required | string = 12 characters [A-Z]{2}[-]{0,1}[A-Z0-9]{9}[-]{0,1}[0-9]{1}$ Example: AT0000609607 ISIN of the financial instrument |
query Parameters
| provider | string Default: "ICF" Enum: "ICF" "AllFunds" Example: provider=ICF Trade provider. |
| range required | string Enum: "d1" "d5" "m1" "m3" "m6" "y1" "y5" "y10" "ytd" Example: range=d1 Range of candlestick data. 1 day, 5 days, 1 month, 3 months, 6 months, 1 year, 5 year, etc. |
Responses
Response samples
- 200
[- {
- "hi": 13.23,
- "lo": 11.8,
- "op": 12.2,
- "cl": 12.6,
- "dt": "2023-01-28T13:58:43Z",
- "vol": 11800
}
]List of candlestick price data of the ISIN by custom date range and resolution
Authorizations:
path Parameters
| isinCode required | string = 12 characters [A-Z]{2}[-]{0,1}[A-Z0-9]{9}[-]{0,1}[0-9]{1}$ Example: AT0000609607 ISIN of the financial instrument |
query Parameters
| provider | string Default: "ICF" Enum: "ICF" "AllFunds" Example: provider=ICF Trade provider. |
| resolution | string Enum: "oneMinute" "fiveMinutes" "fifteenMinutes" "oneHour" "fourHours" "oneDay" "fourDays" "oneWeek" "thirtyDays" "oneYear" "allTime" Example: resolution=oneMinute Resolution of candlestick data. 1 minute, 1 hour, 4 hours, 1 day, 1 week, 1 month, etc |
| dateBegin | string <yyyy-MM-dd HH:mm:ss> Example: dateBegin=2023-01-23 13:35:49 Begin date-time of queried range. |
| dateEnd | string <yyyy-MM-dd HH:mm:ss> Example: dateEnd=2023-01-23 14:15:42 End date-time of queried range. |
| timeSeries | Array of strings Items Enum: "openingPrices" "closingPrices" "highestPrices" "lowestPrices" "volumes" Example: timeSeries=highestPrices&timeSeries=lowestPrices Enum list for response fields. If null, all fields will be returned in the response. |
| developmentSeries | Array of strings Items Enum: "openingPricesDevelopment" "openingPricesDevelopmentInPercent" "closingPricesDevelopment" "closingPricesDevelopmentInPercent" "highestPricesDevelopment" "highestPricesDevelopmentInPercent" "lowestPricesDevelopment" "lowestPricesDevelopmentInPercent" Example: developmentSeries=highestPricesDevelopment&developmentSeries=lowestPricesDevelopment&developmentSeries=lowestPricesDevelopmentInPercent Enum list for development fields. If null, no development field will be returned. |
Responses
Response samples
- 200
{- "request": {
- "isinCode": "string",
- "provider": "ICF",
- "dateBegin": "string",
- "dateEnd": "string",
- "resolution": "oneMinute",
- "timeSeries": [
- "openingPrices"
], - "developmentSeries": [
- "openingPricesDevelopment"
]
}, - "timeStamps": [
- 1728163966
], - "openingPrices": [
- 12.606043
], - "closingPrices": [
- 11.501231
], - "highestPrices": [
- 13.101923
], - "lowestPrices": [
- 10.741232
], - "volumes": [
- 120
], - "openingPricesDevelopment": [
- 3,
- 5
], - "openingPricesDevelopmentInPercent": [
- 0.3,
- 0.5
], - "closingPricesDevelopment": [
- 3,
- 5
], - "closingPricesDevelopmentInPercent": [
- 0.3,
- 0.5
], - "highestPricesDevelopment": [
- 3,
- 5
], - "highestPricesDevelopmentInPercent": [
- 0.3,
- 0.5
], - "lowestPricesDevelopment": [
- 3,
- 5
], - "lowestPricesDevelopmentInPercent": [
- 0.3,
- 0.5
]
}